Developer Documentation

Public Slots | Public Member Functions | Private Member Functions | List of all members
OMPropertyModelSubclass Class Reference

Added for signal/slot support. More...

`#include <Plugin-PropertyVis/OpenMesh/OMPropertyModelSubclass.hh>`

Inheritance diagram for OMPropertyModelSubclass:

## Public Slots
virtual void | slotCombine ()
virtual void | slotSaveProperty ()
virtual void | slotLoadProperty ()
virtual void | slotPickProperty ()

## Public Member Functions
| OMPropertyModelSubclass (QObject *parent=0)
Public Member Functions inherited from SingleObjectPropertyModel
virtual void | pickModeChanged (const std::string &_mode) override
virtual void | mouseEvent (QMouseEvent *_event) override
| SingleObjectPropertyModel (QObject *parent=0)
virtual int | rowCount (const QModelIndex &parent=QModelIndex()) const override
virtual QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const override
virtual QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const override
virtual void | objectUpdated () override
| Revisualizes visualized properties.
virtual void | visualize (QModelIndexList selectedIndices, QWidgetList widgets=QWidgetList()) override
| Visualizes the selected properties. More...
virtual void | removeProperty (QModelIndexList selectedIndices) override
| Removes the selected properties.
virtual void | duplicateProperty (QModelIndexList selectedIndices) override
| Duplicates the selected properties.
virtual void | gatherProperties () override
| Searches for properties and creates PropertyVisualizers.
virtual void | clear (QModelIndexList selectedIndices) override
| Clears the selected property visualization.
void | hideWidget () override
| Hides the widget.
QWidget * | getWidget () override
| Returns the widget.
virtual void | updateWidget (const QModelIndexList &selectedIndices) override
| Updates the widget.
void | connectLogs (PropertyVisualizer *propViz) override
| Connects the PropertyVisualizer log signals with the log slot.
virtual PropertyInfo | getPropertyInfo (const QModelIndex index) const override
| Returns the property info for the property with the given index.
virtual QScriptValue | getScriptObject (const QModelIndex index, QScriptContext *ctx)
| Returns a qscript object that can be used to access visualisation parameters.
Public Member Functions inherited from PropertyModel
| PropertyModel (QObject *parent=0)
QModelIndex | indexFromFancyPropName (const QString &propName) const
| Returns the index of the property with the given name.
QModelIndex | indexFromPlainPropName (const QString &propName) const
| Returns the index of the property with the given name.

## Private Member Functions
virtual void | combine ()
virtual void | saveProperty ()
virtual void | pickProperty ()

## Additional Inherited Members
Signals inherited from SingleObjectPropertyModel
void | log (Logtype _type, QString _message)
void | log (QString _message)
Protected Member Functions inherited from SingleObjectPropertyModel
PropertyVisualizer * | getPropertyVisualizer (QString propName, PropertyInfo::ENTITY_FILTER filter, TypeInfoWrapper typeInfo)
| Returns a PropertyVisualizer.
bool | isPropertyFree (QString propName, PropertyInfo::ENTITY_FILTER filter, TypeInfoWrapper typeInfo)
| Checks if the property name is still available.
QString | getLoadFilename ()
| Asks the user for a file to load.
virtual QString | getLoadFilenameFilter ()
| Returns the filename filter for loading.
QString | getSaveFilename (unsigned int propId)
| Asks the user for a file to load.
virtual QString | getSaveFilenameFilter (unsigned int propId)
| Returns the filename filter for saving.
virtual QString | getDefaultSaveFilename (unsigned int propId)
| Returns the default file name.
void | saveProperty (unsigned int propId)
| Saves property.
void | loadProperty ()
| Loads property.
virtual void | setPropertyFromFile (QTextStream &file_stream, unsigned int n, PropertyVisualizer *propVis)
| Sets the property values from a given file.
virtual bool | parseHeader (QString header, PropertyVisualizer *&propVis, unsigned int &n)
| Parses the property file header. More...
Protected Attributes inherited from SingleObjectPropertyModel
std::vector< PropertyVisualizer * > | propertyVisualizers
QWidget * | widgets
QModelIndexList | currentlySelectedIndices
std::vector< unsigned int > | currentlyVisualizedIndices

## Detailed Description

Added for signal/slot support.

This class adds signal/slot support for OMPropertyModelSubclass. OMPropertyModel is then derived from this class to make use of those signals and slots. This needs to be done because "Sorry, Qt does not support templates that contain signals, slots or Q_OBJECT" http://doc.trolltech.com/qq/qq15-academic.html

Definition at line 56 of file OMPropertyModelSubclass.hh.

The documentation for this class was generated from the following files:

- Plugin-PropertyVis/OpenMesh/OMPropertyModelSubclass.hh
- Plugin-PropertyVis/OpenMesh/OMPropertyModelSubclass.cc